| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
GaudiTesting.BaseTest.Result Class Reference
Collaboration diagram for GaudiTesting.BaseTest.Result:
[legend]

## Public Member Functions
def | __init__ (self, kind=None, id=None, outcome=PASS, annotations={})
def | __getitem__ (self, key)
def | __setitem__ (self, key, value)
def | Quote (self, string)

## Public Attributes
| annotations

## Static Public Attributes
string | PASS = 'PASS'
string | FAIL = 'FAIL'
string | ERROR = 'ERROR'
string | UNTESTED = 'UNTESTED'
string | EXCEPTION = ""
string | RESOURCE = ""
string | TARGET = ""
string | TRACEBACK = ""
string | START_TIME = ""
string | END_TIME = ""
string | TIMEOUT_DETAIL = ""

## Detailed Description

Definition at line 601 of file BaseTest.py.

## Constructor & Destructor Documentation

def GaudiTesting.BaseTest.Result.__init__ | ( |  | self,
|  |  | kind = `None`,
|  |  | id = `None`,
|  |  | outcome = `PASS`,
|  |  | annotations = `{}`
| ) |  |

Definition at line 616 of file BaseTest.py.

616 def __init__(self, kind=None, id=None, outcome=PASS, annotations={}):
617 self.annotations = annotations.copy()
618
GaudiTesting.BaseTest.Result.__init__
def __init__(self, kind=None, id=None, outcome=PASS, annotations={})
Definition: BaseTest.py:616
GaudiTesting.BaseTest.Result.annotations
annotations
Definition: BaseTest.py:617

## Member Function Documentation

def GaudiTesting.BaseTest.Result.__getitem__ | ( |  | self,
|  |  | key
| ) |  |

Definition at line 619 of file BaseTest.py.

619 def __getitem__(self, key):
620 assert type(key) in types.StringTypes
621 return self.annotations[key]
622
gaudirun.type
type
Definition: gaudirun.py:133
GaudiTesting.BaseTest.Result.annotations
annotations
Definition: BaseTest.py:617
GaudiTesting.BaseTest.Result.__getitem__
def __getitem__(self, key)
Definition: BaseTest.py:619

def GaudiTesting.BaseTest.Result.__setitem__ | ( |  | self,
|  |  | key,
|  |  | value
| ) |  |

Definition at line 623 of file BaseTest.py.

623 def __setitem__(self, key, value):
624 assert type(key) in types.StringTypes
625 assert type(value) in types.StringTypes
626 self.annotations[key] = value
627
gaudirun.type
type
Definition: gaudirun.py:133
GaudiTesting.BaseTest.Result.__setitem__
def __setitem__(self, key, value)
Definition: BaseTest.py:623
GaudiTesting.BaseTest.Result.annotations
annotations
Definition: BaseTest.py:617

def GaudiTesting.BaseTest.Result.Quote | ( |  | self,
|  |  | string
| ) |  |

Definition at line 628 of file BaseTest.py.

628 def Quote(self, string):
629 return string
630
631
632 # -------------------------------------------------------------------------#
633 # --------------------------- Validator Classes ---------------------------#
634 # -------------------------------------------------------------------------#
635
636 # Basic implementation of an option validator for Gaudi test. This
637 # implementation is based on the standard (LCG) validation functions used
638 # in QMTest.
639
640
GaudiTesting.BaseTest.Result.Quote
def Quote(self, string)
Definition: BaseTest.py:628

## Member Data Documentation

GaudiTesting.BaseTest.Result.annotations

Definition at line 617 of file BaseTest.py.

string GaudiTesting.BaseTest.Result.END_TIME = ""
| static

Definition at line 613 of file BaseTest.py.

string GaudiTesting.BaseTest.Result.ERROR = 'ERROR'
| static

Definition at line 605 of file BaseTest.py.

string GaudiTesting.BaseTest.Result.EXCEPTION = ""
| static

Definition at line 608 of file BaseTest.py.

string GaudiTesting.BaseTest.Result.FAIL = 'FAIL'
| static

Definition at line 604 of file BaseTest.py.

string GaudiTesting.BaseTest.Result.PASS = 'PASS'
| static

Definition at line 603 of file BaseTest.py.

string GaudiTesting.BaseTest.Result.RESOURCE = ""
| static

Definition at line 609 of file BaseTest.py.

string GaudiTesting.BaseTest.Result.START_TIME = ""
| static

Definition at line 612 of file BaseTest.py.

string GaudiTesting.BaseTest.Result.TARGET = ""
| static

Definition at line 610 of file BaseTest.py.

string GaudiTesting.BaseTest.Result.TIMEOUT_DETAIL = ""
| static

Definition at line 614 of file BaseTest.py.

string GaudiTesting.BaseTest.Result.TRACEBACK = ""
| static

Definition at line 611 of file BaseTest.py.

string GaudiTesting.BaseTest.Result.UNTESTED = 'UNTESTED'
| static

Definition at line 606 of file BaseTest.py.

The documentation for this class was generated from the following file:

- GaudiPolicy/python/GaudiTesting/BaseTest.py